import vm from '../main.js';
const {
  tag_hash_table,
  tagset_hash_table,
} = vm;

describe("vm-test", function() {

it("tag_hash_table", () => {
  let index = tag_hash_table.key_to_index("testkey0");
  let key = tag_hash_table.index_to_entry(index).key;
  expect(key).toEqual("testkey0");
  tag_hash_table.key_to_index("testkey1");
  tag_hash_table.key_to_index("testkey2");
  tag_hash_table.key_to_index("testkey3");
  tag_hash_table.report();
});

it("tagset_hash_table", () => {
  tagset_hash_table.key_to_index(["testkey0"]);
  tagset_hash_table.key_to_index(["testkey1"]);
  tagset_hash_table.key_to_index(["testkey2"]);
  tagset_hash_table.key_to_index(["testkey3"]);
  tagset_hash_table.key_to_index(["testkey4"]);
  tagset_hash_table.key_to_index(["testkey1", "testkey2", "testkey3"]);
  tagset_hash_table.key_to_index(["testkey1", "testkey2"]);
  tagset_hash_table.key_to_index(["testkey4", "testkey4", "testkey1"]);
  tagset_hash_table.key_to_index(["testkey4", "testkey1"]);
  tagset_hash_table.report();
});

// describe("jj-test", function() {
});
